
Base Distribution - Task # 45839

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Aske Ertmann Category: Content Editing
Created: 2013-02-25 Assigned To: Aske Ertmann
Updated: 2014-11-02 Due date:
Subject: As a content editor I want the inspector fields to be validated
Description

Related issues:
related to TYPO3.Neos - Task # 46231: NumberValidator New 2013-03-13
related to TYPO3.Neos - Task # 46232: DateTimeValidator New 2013-03-13

Associated revisions
Revision 703d1647 - 2013-03-26 22:29 - Aske Ertmann

[FEATURE] Add validation configuration for node properties

This change adds validation configuration for all the
default node types.

Change-Id: Ib545e909d1011b69878cafd48ee551a0bf0b9bab
Related: #45839

Revision fa457505 - 2013-07-15 22:26 - Aske Ertmann

[FEATURE] Add client side validation of node properties

This change adds validation for the vie entities (nodes).
This is done by overwriting the default VIE entity validation
with a custom validation mechanism. It adds all the validators
from Flow that are implementable in JavaScript, except the
Number and a more complex DateTime validator.

Change-Id: Id7603f37ccdb2575e8e3969f9995d123b6022649
Resolves: #45839
Reviewed-on: https://review.typo3.org/18474
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

History
#1 - 2013-02-25 21:43 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474
#2 - 2013-02-26 16:15 - Aske Ertmann
- % Done changed from 0 to 50

#3 - 2013-03-02 18:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#4 - 2013-03-06 20:04 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#5 - 2013-03-06 20:28 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#6 - 2013-03-06 20:36 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#7 - 2013-03-06 20:47 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#8 - 2013-03-06 21:45 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#9 - 2013-03-11 00:19 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#10 - 2013-03-13 14:01 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#11 - 2013-03-14 00:11 - Gerrit Code Review
Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#12 - 2013-03-26 22:42 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#13 - 2013-03-29 12:24 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#14 - 2013-03-29 13:46 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#15 - 2013-04-02 10:55 - Aske Ertmann
- % Done changed from 0 to 90

#16 - 2013-06-08 00:47 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#17 - 2013-06-11 23:06 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#18 - 2013-06-12 08:55 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#19 - 2013-06-13 23:19 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#20 - 2013-06-14 00:21 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474
#21 - 2013-06-14 00:28 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#22 - 2013-06-24 08:32 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#23 - 2013-06-24 08:32 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#24 - 2013-06-24 22:40 - Gerrit Code Review

Patch set 22 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#25 - 2013-07-11 21:17 - Aske Ertmann
- Target version changed from 1.0 beta 1 to 1.0 alpha 5

#26 - 2013-07-14 21:23 - Gerrit Code Review

Patch set 23 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#27 - 2013-07-14 23:45 - Gerrit Code Review

Patch set 24 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#28 - 2013-07-14 23:52 - Gerrit Code Review

Patch set 25 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#29 - 2013-07-14 23:53 - Gerrit Code Review

Patch set 26 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#30 - 2013-07-14 23:53 - Gerrit Code Review
Patch set 27 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#31 - 2013-07-15 00:23 - Gerrit Code Review

Patch set 28 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#32 - 2013-07-15 13:18 - Gerrit Code Review

Patch set 29 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#33 - 2013-07-15 13:22 - Gerrit Code Review

Patch set 30 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#34 - 2013-07-15 13:28 - Aske Ertmann
- Tracker changed from Story to Task
- Estimated time set to 0.00

#35 - 2013-07-15 13:28 - Aske Ertmann
- Status changed from Accepted to Under Review

#36 - 2013-07-15 16:23 - Gerrit Code Review

Patch set 31 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#37 - 2013-07-15 18:35 - Gerrit Code Review

Patch set 32 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#38 - 2013-07-15 18:41 - Gerrit Code Review

Patch set 33 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18474

#39 - 2013-07-15 22:37 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:fa457505f349b90716a20bf328ea67b5f57a7d37.
#40 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
- Start date set to 2014-11-02
